Bug 146969 - Updating the kernel causes video adapter to be redetected, and loses monitor configuration
Updating the kernel causes video adapter to be redetected, and loses monitor ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 23:37 EST by Eli
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-30 01:56:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2005-02-02 23:37:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
This seems to happen every time I upgrade the kernel... this isn't the
first time, but I did take notes this time. :)

When I upgrade the kernel, I reboot, and when rhgb appears, show details.
kudzu comes up with new hardware, and found "Intel Corp. 82852/855GM
Integrated Graphics Adapter"
I was writing this down, and the screen went blank, I hit the space
bar, and the console came up.  Ctrl-Alt-Del to reboot.

When rhgb appears, show details.
kudzu comes up with new hardware, and found "Intel Corp. 82852/855GM
Integrated Graphics Adapter", and I tell it to configure that hardware.
<whine>rhgb hides the details I asked it to show when kudzu exits. 
And then again shortly thereafter</whine>

The login screen comes up in 800x600 mode, and when I log in it stays
that way.  I'm using KDE, so System Settings -> Display -> hardware,
monitor type, unknown monitor.  I select generic 1024x768 LCD, and exit.
logout, login.
Forgot to set the resolution stuff, so set resolution to 1024x768, and
millions of colors (from thousands).
Logout, login.

Things are now working.

PROBLEM: The system redetects my video card as New Hardware every time
I update the kernel.

This is a Toshiba Satellite A45-S120 notebook PC.



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.760_FC3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel
2. Configure re-detected video card
3. wrong resolution.
    

Actual Results:  Redetects the existing video card as New hardware and
proceeds to come up with 800x600 resolution.

Expected Results:  Should not decide that I added a new video card
when it's the same hardware, and then reset the resolution to default.

Additional info:

This is a Toshiba Satellite A45-S120 notebook PC.
Comment 1 Eli 2005-03-01 21:42:28 EST
The video adapter was redetected yet again when I went from
kernel-2.6.10-1.760_FC3 to kernel-2.6.10-1.766_FC3.
Comment 2 Dave Jones 2005-07-15 15:31:21 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Eli 2005-08-06 12:25:39 EDT
The video adapter was redetected when I went from kernel-2.6.11-1.35_FC3 to
kernel-2.6.12-1.1372_FC3.

Comment 4 Dave Jones 2005-08-09 16:36:05 EDT
Bill, any ideas ?
Comment 5 Bill Nottingham 2005-08-19 02:19:33 EDT
What's your partitioning look like?
Comment 6 Eli 2005-08-25 20:42:40 EDT
Sorry for the delay...

Are you looking for something in particular?  Partitioning vs video seems an odd
jump.

   Device Boot Start     End   #cyls    #blocks   Id  System
/dev/hda1   *      0+     12      13-    104391   83  Linux
/dev/hda2       4475    4576     102     819315   82  Linux swap
/dev/hda3         13    4474    4462   35841015   83  Linux
/dev/hda4       4577    4863     287    2305327+   5  Extended
/dev/hda5       4577+   4863     287-   2305296   83  Linux
[root@pegasus ~]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3             35278572  31082624   2403900  93% /
/dev/hda1               101086     32635     63232  35% /boot
none                    379248         0    379248   0% /dev/shm
/dev/hda5              2269032     36204   2117564   2% /opt
Comment 7 Bill Nottingham 2005-08-25 23:17:00 EDT
If /usr was separate, I had an *idea* why it might show up, but apparently,
that's not it.

Can you post the lspci -v output?
Comment 8 Eli 2005-10-14 17:30:25 EDT
Sorry for the delay. :(

Linux pegasus 2.6.12-1.1372_FC3 #1 Fri Jul 15 00:59:10 EDT 2005 i686 i686 i386
GNU/Linux


00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to
I/O Controller (rev 02)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, fast devsel, latency 0
	Memory at <unassigned> (32-bit, prefetchable)
	Capabilities: [40] Vendor Specific Information

00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, fast devsel, latency 0

00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 02)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, fast devsel, latency 0

00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 02) (prog-if 00 [VGA])
	Subsystem: Toshiba America Info Systems: Unknown device 0002
	Flags: bus master, fast devsel, latency 0, IRQ 10
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	Memory at d0000000 (32-bit, non-prefetchable) [size=512K]
	I/O ports at eff8 [size=8]
	Capabilities: [d0] Power Management version 1

00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 02)
	Subsystem: Toshiba America Info Systems: Unknown device 0002
	Flags: fast devsel
	Memory at 30000000 (32-bit, prefetchable) [disabled] [size=128M]
	Memory at 2f000000 (32-bit, non-prefetchable) [disabled] [size=512K]
	Capabilities: [d0] Power Management version 1

00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0, IRQ 10
	I/O ports at cfe0 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at cf80 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03) (prog-if 20 [EHCI])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0, IRQ 11
	Memory at 2f080000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83) (prog-if
00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=03, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: cff00000-cfffffff

00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
	Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev
03) (prog-if 8a [Master SecP PriP])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at <ignored>
	I/O ports at <ignored>
	I/O ports at <ignored>
	I/O ports at <ignored>
	I/O ports at bfa0 [size=16]
	Memory at 2f080400 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f

00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
	Subsystem: Toshiba America Info Systems: Unknown device 0241
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 1000 [size=256]
	I/O ports at 1400 [size=64]
	Memory at 2f080800 (32-bit, non-prefetchable) [size=512]
	Memory at 2f080a00 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2

00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03) (prog-if 00 [Generic])
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 0, IRQ 11
	I/O ports at 1800 [size=256]
	I/O ports at 1480 [size=128]
	Capabilities: [50] Power Management version 2

01:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (MOB) Ethernet
Controller (rev 83)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, medium devsel, latency 64, IRQ 11
	Memory at cffff000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at cf40 [size=64]
	Capabilities: [dc] Power Management version 2

01:0b.0 CardBus bridge: Toshiba America Info Systems ToPIC100 PCI to Cardbus
Bridge with ZV Support (rev 33)
	Subsystem: Toshiba America Info Systems: Unknown device 0001
	Flags: bus master, slow devsel, latency 168, IRQ 11
	Memory at 2f081000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=01, secondary=02, subordinate=05, sec-latency=0
	Memory window 0: 2f400000-2f7ff000 (prefetchable)
	Memory window 1: 2f800000-2fbff000
	I/O window 0: 00004000-000040ff
	I/O window 1: 00004400-000044ff
	16-bit legacy interface ports at 0001
Comment 9 Eli 2005-10-29 12:13:45 EDT
I didn't notice a problem when I just upgraded to kernel-2.6.12-1.1381_FC3.  So
maybe it's fixed.

Note You need to log in before you can comment on or make changes to this bug.